<?php

	require("_init.php");
	require("_funcstd.php");
	require("_basicshow.class.php");

	session_unset();

	if ( isset( $_COOKIE['login_user'] ) ) {
		$user = $_COOKIE['login_user'];
	} else {
		$user = "";
	}

	$ismobile = ismobile();

	$outputhtml = new gfbasicshow( "", false, "Home", ( $ismobile ? 350 : 400 ) );
	$outputhtml->tombollogoff = false;
	$outputhtml->focus = "user";

	$outputhtml->headeradd( '<script type="text/javascript">' );
	$outputhtml->headeradd( '	$(function() {' );
	$outputhtml->headeradd( '		$("input").bind("keydown", function(event) {' );
	$outputhtml->headeradd( '			var keycode = ( event.keyCode ? event.keyCode : (event.which ? event.which : event.charCode) );' );
	$outputhtml->headeradd( '			if ( keycode == 13 ) {' );
	$outputhtml->headeradd( '				validasi();' );
	$outputhtml->headeradd( '				return false;' );
	$outputhtml->headeradd( '			} else {' );
	$outputhtml->headeradd( '				return true;' );
	$outputhtml->headeradd( '			}' );
	$outputhtml->headeradd( '		});' );
	$outputhtml->headeradd( '	});' );
	$outputhtml->headeradd( '	function validasi() {' );
	$outputhtml->headeradd( '		var valuser, valpassword, valnewpassword, valnewpassword2;' );
	$outputhtml->headeradd( '		valuser = $("#user").val();' );
	$outputhtml->headeradd( '		valpassword = $("#password").val();' );
	$outputhtml->headeradd( '		valnewpassword = $("#newpassword").val();' );
	$outputhtml->headeradd( '		valnewpassword2 = $("#newpassword2").val();' );
	$outputhtml->headeradd( '		if ( valuser.length < 1 ) {' );
	$outputhtml->headeradd( '			BoxError("User belum diisi !","user");' );
	$outputhtml->headeradd( '			return false;' );
	$outputhtml->headeradd( '		}' );
	$outputhtml->headeradd( '		if ( valpassword.length < 1 ) {' );
	$outputhtml->headeradd( '			BoxError("Password belum diisi !","password");' );
	$outputhtml->headeradd( '			return false;' );
	$outputhtml->headeradd( '		}' );
	$outputhtml->headeradd( '		showwait( "Mohon tunggu sebentar, lagi proses..." );' );
	$outputhtml->headeradd( '		$.ajax( { type: "POST", url: "./jsphp/userlogin.php", async: false,' );
	$outputhtml->headeradd( '			data: {' );
	$outputhtml->headeradd( '				user : valuser,' );
	$outputhtml->headeradd( '				password : valpassword,' );
	$outputhtml->headeradd( '				newpassword : valnewpassword,' );
	$outputhtml->headeradd( '				newpassword2 : valnewpassword2' );
	$outputhtml->headeradd( '			},' );
	$outputhtml->headeradd( '			success: function(response) {' );
	$outputhtml->headeradd( '				if ( response == "Ok" ) {' );
	$outputhtml->headeradd( '					window.open( "main.php", "_self" );' );
	$outputhtml->headeradd( '				} else {' );
	$outputhtml->headeradd( '					closeshowwait();' );
	$outputhtml->headeradd( '					BoxError(response,"user");' );
	$outputhtml->headeradd( '					BoxError(response,"user");' );		// double code: untuk press keycode ENTER yg di atas saja, hanya terjadi pada Firefox saja ...
	$outputhtml->headeradd( '				}' );
	$outputhtml->headeradd( '			},' );
	$outputhtml->headeradd( '			error: function(e) {' );
	$outputhtml->headeradd( '				closeshowwait();' );
	$outputhtml->headeradd( '				BoxError("Error: " + e,"user");' );
	$outputhtml->headeradd( '			}' );
	$outputhtml->headeradd( '		} );' );
	$outputhtml->headeradd( '	};' );
	$outputhtml->headeradd( '</script>' );
	$outputhtml->headeradd( '<style type="text/css">' );
	$outputhtml->headeradd( '	body .ui-header .ui-title {' );
	$outputhtml->headeradd( '		white-space: normal;' );		// supaya header tidak truncated ...
	$outputhtml->headeradd( '	}' );
	$outputhtml->headeradd( '</style>' );

	if ( $ismobile ) {

		$outputhtml->bodyadd( '<div style="text-align: center"><img src="images/gfakuntansi.png" alt="image"></div>' );

		$outputhtml->bodyadd( '	<div style="text-align: center">' );
		$outputhtml->bodyadd( '		<fieldset data-role="controlgroup">' );
		$outputhtml->bodyadd( '			<input type="text" name="user" id="user" placeholder="User" value="' . $user . '" maxlength="20">' );
		$outputhtml->bodyadd( '		</fieldset>' );
		$outputhtml->bodyadd( '	</div>' );
		$outputhtml->bodyadd( '	<div style="text-align: center">' );
		$outputhtml->bodyadd( '		<fieldset data-role="controlgroup">' );
		$outputhtml->bodyadd( '			<input type="password" name="password" id="password" placeholder="Password" value="" maxlength="20">' );
		$outputhtml->bodyadd( '		</fieldset>' );
		$outputhtml->bodyadd( '	</div>' );
		$outputhtml->bodyadd( '	<div style="text-align: center">' );
		$outputhtml->bodyadd( '		<fieldset data-role="controlgroup">' );
		$outputhtml->bodyadd( '			<input type="password" name="newpassword" id="newpassword" placeholder="New Password" value="" maxlength="20">' );
		$outputhtml->bodyadd( '		</fieldset>' );
		$outputhtml->bodyadd( '		<fieldset data-role="controlgroup">' );
		$outputhtml->bodyadd( '			<input type="password" name="newpassword2" id="newpassword2" placeholder="Type Again New Pass" value="" maxlength="20">' );
		$outputhtml->bodyadd( '		</fieldset>' );
		$outputhtml->bodyadd( '	</div>' );
		$outputhtml->bodyadd( '	<a data-role="button" data-theme="b" href="#" data-icon="star" data-iconpos="left" onclick="validasi()">Login</a>' );

	} else {

		$outputhtml->bodyadd( '<div id="gfakuntansilogo" style="position:absolute;left:350px;top:10px"><img src="images/logodepan.jpg" border="0"></div>' );

		$outputhtml->bodyadd( '<div id="gfakuntansi" class="dialogWithDropShadow" style="margin:0;padding:0;position:absolute;left:50px;top:80px;width:380px;height:270px;background-color:#000000">' );
		$outputhtml->bodyadd( '<table border="0" cellpadding="0" cellspacing="0" style="position:absolute;top:5px;left:25px;width:330px">' );
		$outputhtml->bodyadd( '	<tr>' );
		$outputhtml->bodyadd( '		<td style="height:15px;"></td>' );
		$outputhtml->bodyadd( '	</tr>' );
		$outputhtml->bodyadd( '	<tr>' );
		$outputhtml->bodyadd( '		<td class="standardhuruf" colspan="3" align="center" valign="middle" style="height:34px;"><font color="#98FB98"><b>USER LOGIN</b></font></td>' );
		$outputhtml->bodyadd( '	</tr>' );
		$outputhtml->bodyadd( '	<tr>' );
		$outputhtml->bodyadd( '		<td style="height:5px;"></td>' );
		$outputhtml->bodyadd( '	</tr>' );
		$outputhtml->bodyadd( '	<tr>' );
		$outputhtml->bodyadd( '		<td class="standardhuruf" align="right" valign="middle" style="height:34px;"><font color="#98FB98">User</font></td>' );
		$outputhtml->bodyadd( '		<td class="standardhuruf" align="center" valign="middle" style="width:20px;"><font color="#98FB98">:</font></td>' );
		$outputhtml->bodyadd( '		<td align="left"><input type="text" name="user" id="user" class="text ui-widget-content ui-corner-all" style="width:180px;padding:.2em" value="' . $user . '" maxlength="20"></td>' );
		$outputhtml->bodyadd( '	</tr>' );
		$outputhtml->bodyadd( '	<tr>' );
		$outputhtml->bodyadd( '		<td class="standardhuruf" align="right" valign="middle" style="height:34px;"><font color="#98FB98">Password</font></td>' );
		$outputhtml->bodyadd( '		<td class="standardhuruf" align="center" valign="middle" style="width:20px;"><font color="#98FB98">:</font></td>' );
		$outputhtml->bodyadd( '		<td align="left"><input type="password" name="password" id="password" class="text ui-widget-content ui-corner-all" style="width:180px;padding:.2em" value="" maxlength="20"></td>' );
		$outputhtml->bodyadd( '	</tr>' );
		$outputhtml->bodyadd( '	<tr>' );
		$outputhtml->bodyadd( '		<td class="standardhuruf" align="right" valign="middle" style="height:34px;"><font color="#98FB98">New Password</font></td>' );
		$outputhtml->bodyadd( '		<td class="standardhuruf" align="center" valign="middle" style="width:20px;"><font color="#98FB98">:</font></td>' );
		$outputhtml->bodyadd( '		<td align="left"><input type="password" name="newpassword" id="newpassword" class="text ui-widget-content ui-corner-all" style="width:180px;padding:.2em" value="" maxlength="20"></td>' );
		$outputhtml->bodyadd( '	</tr>' );
		$outputhtml->bodyadd( '	<tr>' );
		$outputhtml->bodyadd( '		<td class="standardhuruf" align="right" valign="middle" style="height:34px;"><font color="#98FB98">Type Again New Pass</font></td>' );
		$outputhtml->bodyadd( '		<td class="standardhuruf" align="center" valign="middle" style="width:20px;"><font color="#98FB98">:</font></td>' );
		$outputhtml->bodyadd( '		<td align="left"><input type="password" name="newpassword2" id="newpassword2" class="text ui-widget-content ui-corner-all" style="width:180px;padding:.2em" value="" maxlength="20"></td>' );
		$outputhtml->bodyadd( '	</tr>' );
		$outputhtml->bodyadd( '	<tr>' );
		$outputhtml->bodyadd( '		<td style="height:18px;"></td>' );
		$outputhtml->bodyadd( '	</tr>' );
		$outputhtml->bodyadd( '	<tr>' );
		$outputhtml->bodyadd( '		<td align="center" colspan="3"><button id="buttonlogin" onclick="validasi()" type="submit" name="" value="" style="width:100%;height:35px;background-color:#8B0000;"><font style="font-size:12px" color="#FFFFFF" face="Verdana"><b>Login</b></font></button></td>' );
		$outputhtml->bodyadd( '	</tr>' );
		$outputhtml->bodyadd( '</table>' );

		$outputhtml->bodyadd( '</div>' );

	}


	$outputhtml->output();

?>